34
Views
2
Comments
[File Plugin] Failed to build Android version
Question
Forge component by OutSystems R&D
8
Published on 03 Feb 2021
Application Type
Mobile

I got the following error when I tried to build the android version, but I can successfully build the ios version

[2021-01-22T11:02:25.102Z] [ERROR] [Build] No scripts found for hook "before_plugin_add".

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Calling plugman.fetch on plugin "https://github.com/apache/cordova-plugin-file.git#4.3.3"

[2021-01-22T11:02:25.102Z] [ERROR] [Build] fetch: Installing https://github.com/apache/cordova-plugin-file.git#4.3.3 to /var/lib/builder/builds/91eeb5c4-37f0-416b-bf11-59bddc4517f0/source

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Running command: npm install https://github.com/apache/cordova-plugin-file.git#4.3.3 --save-exact

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Command finished with error code 0: npm install,https://github.com/apache/cordova-plugin-file.git#4.3.3,--save-exact

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Copying plugin "/var/lib/builder/builds/91eeb5c4-37f0-416b-bf11-59bddc4517f0/source/node_modules/cordova-plugin-file" => "/var/lib/builder/builds/91eeb5c4-37f0-416b-bf11-59bddc4517f0/source/plugins/cordova-plugin-file"

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Calling plugman.install on plugin "/var/lib/builder/builds/91eeb5c4-37f0-416b-bf11-59bddc4517f0/source/plugins/cordova-plugin-file" for platform "android

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Installing "cordova-plugin-file" for android

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Dependencies detected, iterating through them...

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Requesting plugin "cordova-plugin-compat@^1.0.0".

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Plugin dependency "cordova-plugin-compat" not fetched, retrieving then installing.

[2021-01-22T11:02:25.102Z] [ERROR] [Build] fetch: Installing cordova-plugin-compat@^1.0.0 to /var/lib/builder/builds/91eeb5c4-37f0-416b-bf11-59bddc4517f0/source

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Running command: npm install cordova-plugin-compat@^1.0.0 --save-exact

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Command finished with error code 0: npm install,cordova-plugin-compat@^1.0.0,--save-exact

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Copying plugin "/var/lib/builder/builds/91eeb5c4-37f0-416b-bf11-59bddc4517f0/source/node_modules/cordova-plugin-compat" => "/var/lib/builder/builds/91eeb5c4-37f0-416b-bf11-59bddc4517f0/source/plugins/cordova-plugin-compat"

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Installing "cordova-plugin-compat" for android

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Plugin doesn't support this project's cordova-android version. cordova-android: 9.0.0, failed version requirement: 

[2021-01-22T11:02:25.102Z] [ERROR] [Build]       <6.3.0

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Skipping 'cordova-plugin-compat' for android

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Finding scripts for "before_plugin_install" hook from plugin cordova-plugin-file on android platform only.

[2021-01-22T11:02:25.102Z] [ERROR] [Build] No scripts found for hook "before_plugin_install".

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Install start for "cordova-plugin-file" on android.

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Platform API successfully found in: /var/lib/builder/builds/91eeb5c4-37f0-416b-bf11-59bddc4517f0/source/platforms/android/cordova/Api.js

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Beginning processing of action stack for android project...

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Action stack processing complete.

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Install complete for cordova-plugin-file on android.

[2021-01-22T11:02:25.102Z] [ERROR] [Build] The Android Persistent storage location now defaults to "Internal". Please check this plugin's README to see if your application needs any changes in its config.xml.

[2021-01-22T11:02:25.102Z] [ERROR] [Build] If this is a new application no changes are required.

[2021-01-22T11:02:25.102Z] [ERROR] [Build] If this is an update to an existing application that did not specify an "AndroidPersistentFileLocation" you may need to add:

[2021-01-22T11:02:25.102Z] [ERROR] [Build]       "<preference name="AndroidPersistentFileLocation" value="Compatibility" />"

[2021-01-22T11:02:25.102Z] [ERROR] [Build] to config.xml in order for the application to find previously stored files.

[2021-01-22T11:02:25.102Z] [ERROR] [Build]         

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Finding scripts for "after_plugin_install" hook from plugin cordova-plugin-file on android platform only.

[2021-01-22T11:02:25.102Z] [ERROR] [Build] No scripts found for hook "after_plugin_install".

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Adding cordova-plugin-file to package.json

[2021-01-22T11:02:25.102Z] [ERROR] [Build] No scripts found for hook "after_plugin_add".

[2021-01-22T11:02:25.102Z] [ERROR] [Build] Build failed with the following error: An unexpected error has occurred while installing the Cordova plugins. Please try again. If the problem persists, contact OutSystems Support.


Rank: #24387

I can only build the Android version when the MABS version is set to 6.3 but failed in 7.0

Rank: #69119

Hi, please try to use  version 3.0.0(under development)